
%define __kde4_alternate_placement 1

%def_with knewsticker

%define rname kdenetwork
%define major 4
%define minor 1
%define bugfix 3
Name: kde4network
Version: %major.%minor.%bugfix
Release: alt0.M41.2

Group: Graphical desktop/KDE
Summary: K Desktop Environment - Network Applications
License: GPL
Url: http://www.kde.org

Requires: %name-filesharing = %version-%release
Requires: %name-kdnssd = %version-%release
Requires: %name-knewsticker = %version-%release
Requires: %name-kget = %version-%release
Requires: %name-kopete = %version-%release
Requires: %name-kppp = %version-%release
Requires: %name-krdc = %version-%release
Requires: %name-krfb = %version-%release
Requires: libkget4 = %version-%release
Requires: libkopete4 = %version-%release

Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%rname-%version.tar
Source1: pam-kde4-kppp

BuildRequires: gcc-c++ libqca2-devel libgmp-devel
BuildRequires: libvncserver-devel libtapioca-qt-devel libtelepathy-qt-devel
BuildRequires: libsqlite3-devel libidn-devel boost-devel libopenslp-devel
BuildRequires: libqimageblitz-devel libxml2-devel libxslt-devel
BuildRequires: libjpeg-devel libavahi-qt4-devel bzlib-devel libldap-devel
BuildRequires: kde4pimlibs-devel kde4base-workspace-devel
#BuildRequires: libotr-devel
BuildRequires: kde4libs-devel >= %version

%description
Networking applications for the K Desktop Environment.

- kppp: Dual-up tool
- kopete: instant messenger client
- knewsticker: RDF newsticker applet
- krfb: Desktop Sharing server, allow others to access your desktop via VNC
- krdc: a client for Desktop Sharing and other VNC servers


%package common
Summary: %name common package
Group: System/Configuration/Other
Requires: kde-common >= %major.%minor
%description common
%name common package

%package core
Summary: Core files for %name
Group: Graphical desktop/KDE
#Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description core
Core files for %name

%package filesharing
Summary: %name filesharing
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
%description filesharing
%name filesharing.

%package kdnssd
Summary: %name kdnssd
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
%description kdnssd
%name kdnssd.

%package knewsticker
Summary: %name knewsticker
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
%description knewsticker
%name knewsticker.

%package kget
Summary: %name kget
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
%description kget
%name kget.

%package kopete
Summary: %name kopete
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: kde4base-runtime
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
Requires: qca2-ossl
%description kopete
%name kopete.

%package -n libkget4
Summary: %name library
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkget4
%name library

%package -n libkopete4
Summary: %name libraries
Group: System/Libraries
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
%description -n libkopete4
%name libraries

%package kppp
Summary: %name kppp
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
%description kppp
%name kppp.

%package krdc
Summary: %name krdc
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
%description krdc
%name krdc.

%package krfb
Summary: %name krfb
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: %name-core = %version-%release
%description krfb
%name krfb.

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and QT
Requires: kde4libs-devel
Requires: %name-common = %version-%release
%description devel
This package contains header files needed if you wish to build applications
based on %name.


%prep
%setup -q -n %rname-%version


%build
%K4cmake
#    -DQCA2_INCLUDE_DIR=%_includedir/qt4
#    -DQCA2_LIBRARIES=%_qt4dir/lib \
%K4make

%install
%K4install

install -d -m 0755 %buildroot%_sysconfdir/rc.d/init.d

install -d -m 0755 %buildroot/%_sysconfdir/pam.d/
install -m 0644 %SOURCE1 %buildroot/%_sysconfdir/pam.d/kppp-kde4

mkdir -p %buildroot/etc/control.d/facilities/
cat >%buildroot/etc/control.d/facilities/kppp-kde4 <<__EOF__
#!/bin/sh
. /etc/control.d/functions
%ifdef __kde4_alternate_placement
BINARY=%__kde4_bindir/kppp
%else
BINARY=%_K4bindir/kppp
%endif
new_summary "KPPP dial-up tool"
new_fmode public 4711 root root
new_fmode netadmin 4710 root netadmin
new_fmode restricted 700 root root
new_help public "Any user can use KPPP"
new_help netadmin "Only \"netadmin\" group members can use KPPP"
new_help restricted "Only root can use KPPP"
control_fmode "\$BINARY" "\$*" || exit 1
__EOF__


%pre kppp
/usr/sbin/groupadd -r -f netadmin >/dev/null 2>&1
[ $1 -eq 1 ] || /usr/sbin/control-dump kppp-kde4
%post kppp
[ $1 -eq 1 ] || /usr/sbin/control-restore kppp-kde4

%post -n libkget4
%post_ldconfig
%postun -n libkget4
%postun_ldconfig

%post -n libkopete4
%post_ldconfig
%postun -n libkopete4
%postun_ldconfig


%files
%files common
%doc README

%files core
%_K4iconsdir/oxygen/*/*/*.*
%__kde4_iconsdir/hicolor/*/*/*.*

%files filesharing
%_K4lib/fileshare_propsdlgplugin.so
%_K4lib/kcm_fileshare.so
%_K4lib/kcm_kcmsambaconf.so
%_K4srv/fileshare.desktop
%_K4srv/fileshare_propsdlgplugin.desktop
%_K4srv/kcmsambaconf.desktop

%files kdnssd
%_K4apps/remoteview/
#%_K4apps/zeroconf/
%_K4lib/kded_dnssdwatcher.so
%_K4lib/kio_zeroconf.so
%_K4srv/kded/dnssdwatcher.desktop
%_K4srv/zeroconf.protocol
%_K4dbus_interfaces/org.kde.kdnssd.xml

%if_with knewsticker
%files knewsticker
%_K4lib/plasma_applet_knewsticker.so
%_K4srv/plasma-knewsticker-default.desktop
%__kde4_doc/*/knewsticker
%endif

%files kget
%__kde4_bindir/kget
%_K4apps/kget/
%_K4lib/kget_*
%_K4lib/khtml_kget.so
%_K4lib/plasma_applet_kget.so
%_K4lib/plasma_engine_kget.so
%_K4srv/plasma-engine-kget.desktop
%_K4srv/plasma-kget-default.desktop
%__kde4_xdg_apps/kget.desktop
%_K4srv/ServiceMenus/kget_download.desktop
%_K4cfg/kget*
%_K4srv/kget_*
%_K4srvtyp/kget_*
%_K4apps/khtml/kpartplugins/kget_plug_in.rc
#%_K4snd/KGet*
%_K4apps/desktoptheme/default/widgets/kget.svg
%__kde4_doc/*/kget

%files kopete
%_K4apps/kconf_update/kopete-*
%__kde4_bindir/kopete
%__kde4_bindir/kopete_latexconvert.sh
%__kde4_bindir/winpopup-install.sh
%__kde4_bindir/winpopup-send.sh
%_K4lib/kcm_kopete_*
%_K4lib/kopete_*
%_K4libdir/libqgroupwise.so
%_K4lib/libkrichtexteditpart.so
%__kde4_xdg_apps/kopete.desktop
%_K4conf/kopeterc
%_K4cfg/historyconfig.kcfg
%_K4cfg/kopeteappearancesettings.kcfg
%_K4cfg/kopetebehaviorsettings.kcfg
%_K4cfg/kopetestatussettings.kcfg
%_K4cfg/latexconfig.kcfg
%_K4cfg/nowlisteningconfig.kcfg
%_K4srv/aim.protocol
%_K4srv/chatwindow.desktop
%_K4srv/emailwindow.desktop
%_K4srv/kconfiguredialog/kopete_*
%_K4srv/kopete_*
%_K4srv/xmpp.protocol
%_K4srvtyp/kopete*
%_K4snd/Kopete_Event.ogg
%_K4snd/Kopete_Received.ogg
%_K4snd/Kopete_Sent.ogg
%_K4snd/Kopete_User_is_Online.ogg
%_K4apps/kopete/
%_K4apps/kopete_*/
%_K4apps/kopeterichtexteditpart/
%_K4cfg/urlpicpreview.kcfg
%_K4dbus_interfaces/org.kde.kopete.Client.xml
%_K4dbus_interfaces/org.kde.Kopete.xml
%_K4dbus_interfaces/org.kde.kopete.Statistics.xml
%__kde4_doc/*/kopete

%files -n libkget4
%_K4libdir/libkgetcore.so.*

%files -n libkopete4
%_K4libdir/libgadu_kopete.so.*
%_K4libdir/libkyahoo.so.*
%_K4libdir/libkopete_videodevice.so.*
%_K4libdir/libkopeteaddaccountwizard.so.*
%_K4libdir/libkopete.so.*
%_K4libdir/libkopeteprivacy.so.*
%_K4libdir/libkopetechatwindow_shared.so.*
%_K4libdir/libiris_kopete.so.*
%_K4libdir/libkopete_oscar.so.*
%_K4libdir/libkopete_msn_shared.so.*
%_K4libdir/liboscar.so.*
%_K4libdir/libkopeteidentity.so.*
%_K4libdir/libkopetestatusmenu.so.*

%files kppp
%attr(4711, root, root) %__kde4_bindir/kppp
%config %_sysconfdir/control.d/facilities/kppp-kde4
%__kde4_bindir/kppplogview
%__kde4_xdg_apps/Kppp.desktop
%__kde4_xdg_apps/kppplogview.desktop
%_K4apps/kppp
%_K4dbus_interfaces/org.kde.kppp.xml
%__kde4_doc/*/kppp
#%_sysconfdir/pam.d/kppp-kde4

%files krdc
%__kde4_bindir/krdc
%_K4apps/krdc/
%__kde4_xdg_apps/krdc.desktop
%_K4cfg/krdc.kcfg
%_K4srv/rdp.protocol
%_K4srv/vnc.protocol
%_K4srv/ServiceMenus/smb2rdc.desktop
%__kde4_doc/*/krdc

%files krfb
%__kde4_bindir/krfb
%_K4apps/krfb/
%__kde4_xdg_apps/krfb.desktop
%__kde4_doc/*/krfb

%files devel
%_K4libdir/*.so
%exclude %_K4libdir/libqgroupwise.so
%__kde4_libdir_link/*.so
%_K4includedir/kopete/

%changelog
* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt0.M41.2
- built for M41

* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Tue Oct 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- new version

* Fri Sep 05 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt1
- new version

* Sat Aug 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.0-alt1
- new version

* Sat Jun 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.80-alt2
- built KGet with BitTorrent support

* Mon Jun 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.80-alt1
- 4.1 beta1

* Tue May 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.72-alt1
- new version

* Wed Apr 02 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt1
- new version
- add patch from upstream to fix crash kopete jabber

* Thu Mar 20 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt1
- initial specfile

